Griffin = {
	Description = "Griffin",

	Char	= "G",

	HP		= 38,

	AttackRating = 80,
	DefenseRating = 50,

	Inventory = {
		Weapon = { MinDamage = 38, DamageRange = 20 },
		Armor = { MinArmor = 20, ArmorRange = 15 }
	},

	Level	= 9
}

function Griffin:Update()
	UpdateMonster( self )
end

function Griffin:BumpInto()
	CalculateDamage( Hero, self )

	SyncObject( Hero )
end

function Griffin:Death()
	PrintLog( "The griffin shakes his blood-stained mane majestically and drops dead." )

	DropItems( self )

	CalculateExp( self )
end
